Std: Widok dimetryczny

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewDimetric and the translation is 8% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский • ‎한국어

Std ViewDimetric.svg Std ViewDimetric

Menu location
View → Standard views → Axonometric → Dimetric
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std ViewIsometric, Std ViewTrimetric

Description

The Std ViewDimetric command realigns the camera in the active 3D view to obtain a dimetric view. For a truly dimetric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

Std ViewDimetric example.svg

The axis cross and a cube in dimetric view

Usage

  1. Select the View → Standard views → Axonometric → Std ViewDimetric.svg Dimetric option from the menu.

Scripting

See also: FreeCAD Scripting Basics.

To change to dimetric view use the viewDimetric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewDimetric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()